Firefox Is A F***ing Disgrace

Posted at



- Still Want To Use Firefox?
- Better Keep Using Firefox 3.6.28 [and not newer versions].